#
# Conditional build:
%bcond_without	pthread		# POSIX threads support
%bcond_with	openssl		# use OpenSSL instead of GnuTLS
#
Summary:	libgadu library
Summary(es.UTF-8):	Biblioteca libgadu
Summary(pl.UTF-8):	Biblioteka libgadu
Name:		libgadu
Version:	1.11.2
Release:	2
Epoch:		4
License:	LGPL v2.1
Group:		Libraries
Source0:	http://toxygen.net/libgadu/files/%{name}-%{version}.tar.gz
# Source0-md5:	832432fef251f69f31e68574c17f0c51
URL:		http://toxygen.net/libgadu/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
%{!?with_openssl:BuildRequires:	gnutls-devel}
BuildRequires:	libtool
%{?with_openssl:BuildRequires:	openssl-devel >= 0.9.7d}
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
Obsoletes:	libgg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libgadu is intended to make it easy to add Gadu-Gadu communication
support to your software.

%description -l de.UTF-8
Mit libgadu ist es Ihnen möglich auf einfache Weise Gadu-Gadu
Kommunikations-Unterstützung in Ihre Software einzubinden.

%description -l es.UTF-8
libgadu está pensada para facilitar añadirle comunicación vía
Gadu-Gadu a su software.

%description -l pl.UTF-8
libgadu umożliwia łatwe dodanie do różnych aplikacji komunikacji
bazującej na protokole Gadu-Gadu.

%package devel
Summary:	libgadu development library
Summary(es.UTF-8):	Biblioteca de desarrollo de libgadu
Summary(pl.UTF-8):	Część biblioteki libgadu dla programistów
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
%{!?with_openssl:Requires:	gnutls-devel}
%{?with_openssl:Requires:	openssl-devel}
Requires:	zlib-devel
Obsoletes:	libgg-devel

%description devel
The libgadu-devel package contains the header files and some
documentation needed to develop application with libgadu.

%description devel -l de.UTF-8
Das libgadu-devel Paket enthält Header-Files (Kopfzeilenordner) und
die Dokumentation die Sie benötigen um mit libgadu Anwendungen zu
entwickeln.

%description devel -l es.UTF-8
El paquete libgadu-devel contiene los ficheros de cabecera, juntos con
una documentación, necesarios para desarrollar aplicaciones que usar
libgadu.

%description devel -l pl.UTF-8
Pakiet libgadu-devel zawiera pliki nagłówkowe i dokumentację,
potrzebne do kompilowania aplikacji korzystających z libgadu.

%package static
Summary:	Static libgadu library
Summary(es.UTF-8):	Biblioteca libgadu estática
Summary(pl.UTF-8):	Statyczna biblioteka libgadu
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	libgg-static

%description static
Static libgadu library.

%description static -l de.UTF-8
Statisches libgadu Archiv.

%description static -l es.UTF-8
Biblioteca libgadu estática.

%description static -l pl.UTF-8
Statyczna biblioteka libgadu.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--without-bind \
	%{?with_openssl:--without-gnutls} \
%if %{with pthread}
	--with-pthread \
%else
	--without-pthread \
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libgadu.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgadu.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgadu.so
%{_includedir}/libgadu.h
%{_pkgconfigdir}/libgadu.pc
%{_libdir}/libgadu.la

%files static
%defattr(644,root,root,755)
%{_libdir}/libgadu.a
%changelog
* Tue Jul 10 2012 Marcin Krol <hawk@tld-linux.org> fd56aef
- release 2

* Sat Jun 23 2012 Jakub Bogusz <qboosh@pld-linux.org> 31a8412
- updated to 1.11.2

* Sat Jan 14 2012 Jakub Bogusz <qboosh@pld-linux.org> 8507e79
- updated to 1.11.1

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 42c645a
- release 2

* Wed Jun 01 2011 Jakub Bogusz <qboosh@pld-linux.org> 33e5bd1
- BR+R zlib-devel

* Wed Jun 01 2011 marti <marti@pld-linux.org> 2dad88a
- up to 1.11.0

* Mon Mar 14 2011 Jakub Bogusz <qboosh@pld-linux.org> d216da0
- DO track soname

* Mon Mar 14 2011 Bartłomiej Zimoń <cactus@pld-linux.org> 0c398ea
- up to 1.10.1; bugfix release

* Sat Feb 19 2011 Jakub Bogusz <qboosh@pld-linux.org> 1cf8ca0
- updated configure options
- libgadu now defaults to gnutls, so updated BR/R (and added openssl bcond)

* Mon Feb 14 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2b16a4a
- up to 1.10

* Sat Feb 05 2011 sparky <sparky@pld-linux.org> ec898fd
- make sure package name and name specified in %files match

* Thu Nov 11 2010 Jakub Bogusz <qboosh@pld-linux.org> 41367f7
- base docs to base
- single libtoolize is enough

* Wed Oct 13 2010 arvenil <arvenil@pld-linux.org> 50651e6
- up to 1.9.1

* Fri May 14 2010 arvenil <arvenil@pld-linux.org> 195d580
- up to 1.9.0

* Sun Apr 11 2010 pawelz <pawelz@pld-linux.org> ae709be
- merged DEVEL. It is not stable release yet, but
  1. it was sent to th (from DEVEL branch)
  2. users want this verison because of partial support for new gg protocol

* Sun Apr 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 533290b
- release 3

* Sun Apr 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> bcf491d
- release 2

* Tue Dec 08 2009 sparky <sparky@pld-linux.org> d2a44ef
- BR: pkgconfig

* Mon Oct 27 2008 arvenil <arvenil@pld-linux.org> b1640f6
- up to 1.8.2

* Sun Aug 17 2008 Adam Gołębiowski <adamg@pld-linux.org> 864b87f
- updated to 1.8.1

